<Query Kind="Program">
  <Namespace>System.Text.Json</Namespace>
</Query>

void Main()
{
	var p = new Person ("Joe", "Bloggs");
	string json = JsonSerializer.Serialize (p);
	Person p2 = JsonSerializer.Deserialize<Person> (json);
	
	json.Dump();
	p2.Dump();
}

public class Person
{
	public string FirstName { get; }
	public string LastName { get; }
	
	public Person (string firstName, string lastName) 
		=> (FirstName, LastName) = (firstName, lastName);
}