<Query Kind="Program">
  <Namespace>System.Runtime.Serialization</Namespace>
  <Namespace>SerialTest</Namespace>
</Query>

void Main()
{
	Person p = new Person { Name = "Stacey", Age = 30 };
	var ds = new DataContractSerializer (typeof (Person));

	using (XmlWriter w = XmlWriter.Create ("person.xml"))
		ds.WriteObject (w, p);

	XDocument.Load ("person.xml").Dump ("XML (formatted)");
}

namespace SerialTest
{
	[DataContract (Name="Candidate")]
	public class Person
	{
		[DataMember (Name="FirstName")]  public string Name;
		[DataMember (Name="ClaimedAge")] public int Age;
	}
}