<Query Kind="Statements" />

var p = new Point (2, 2);
Console.WriteLine (p is (2, 2));                     // True
Console.WriteLine (p is (var x, var y) && x == y);   // True

Print (new Point (0, 0)).Dump();
Print (new Point (1, 1)).Dump();

string Print (object obj) => obj switch
{
	Point (0, 0) => "Empty point",
	Point (var x, var y) when x == y => "Diagonal",
 
	_ => "Other"
};

record Point (int X, int Y);