<Query Kind="Statements">
  <Namespace>System.Text.Json</Namespace>
  <Namespace>System.Text.Json.Serialization</Namespace>
</Query>

var options = new JsonSerializerOptions
{
	WriteIndented = true,
	NumberHandling = JsonNumberHandling.AllowReadingFromString |
                     JsonNumberHandling.WriteAsString
};

string json = JsonSerializer.Serialize (new Point { X = 2, Y = 3}, options).Dump();
var p2 = (Point) JsonSerializer.Deserialize (json, typeof (Point), options);
	
public class Point
{
	public int X { get; set; }
	public int Y { get; set; }
}