<Query Kind="Program">
  <Namespace>System.Runtime.Serialization</Namespace>
  <Namespace>SerialTest</Namespace>
</Query>

void Main()
{
	Person p = new Person { Name = "Stacey", Age = 30 };
	
	var ds = new DataContractSerializer (typeof (Person));
	
	using (Stream s = File.Create ("person.xml"))
		ds.WriteObject (s, p);                            // Serialize 
	
	XDocument.Load ("person.xml").Dump ("XML");
}

namespace SerialTest
{
	[DataContract]
	public class Person
	{
		[DataMember (Order = 0)] public string Name;
		[DataMember (Order = 1)] public int Age;
	}
}