<Query Kind="Program">
  <Namespace>System.Runtime.Serialization</Namespace>
  <Namespace>SerialTest</Namespace>
</Query>

void Main()
{
	Person p = new Person { Name = "Stacey", Age = 30 };
	var ds = new DataContractSerializer (typeof (Person));

	XmlWriterSettings settings = new XmlWriterSettings() { Indent = true };
	using (XmlWriter w = XmlWriter.Create ("person.xml", settings))
		ds.WriteObject (w, p);

	File.ReadAllText ("person.xml").Dump ("XML");
}

namespace SerialTest
{
	[DataContract]
	public class Person
	{
		[DataMember] public string Name;
		[DataMember] public int Age;
	}
}