<Query Kind="Statements">
  <Namespace>System.Globalization</Namespace>
</Query>

Encoding.UTF8.Dump();

// Call Encoding.GetEncoding with a standard IANA name to obtain an encoding:
Encoding.RegisterProvider (CodePagesEncodingProvider.Instance);
Encoding chinese = Encoding.GetEncoding ("GB18030");
chinese.Dump();

// The static GetEncodings method returns a list of all supported encodings:
foreach (EncodingInfo info in Encoding.GetEncodings())
	Console.WriteLine (info.Name);